Subject: ftpcheck version 2 available

From: "C. Paul Ferroni" <[email-masked]>
Date: Wed, 23 Oct 1996 10:59:41 -0400

Ftp users,

"ftpcheck" is a perl program to check an ftp site and report on file
existence/usage on a customized, personal basis.  It is driven by
lines in the ftpaccess file that begin with:  ##FTPCHECK

For those of you who downloaded my original version of ftpcheck (now
called ftpcheck.v1), I've written a new/improved version: ftpcheck.v2
that can be retrieved at:  ftp://ftp.cle.ab.com/pub/ftpcheck.v2

This version, apart from better code, expands the <options> you
can use on the ##FTPCHECK line, including the ability to simply
report on files, or only report on old files, and/or to delete
old files automatically.  The delete and report file ages are
independant. Below is the section that describes it's usage.  If you
are interested, pick it up and give it a try.  I'll do my best to
answer any question and will fix any bugs, but I can't offer
official support, etc, etc.  Buyer beware.

##################################################################
### SYNTAX
#
# Usage: ftpcheck [-d]
#
# Syntax of line in ftpaccess file:
##FTPCHECK    <options>    <address>    <directory>
#
# where:
# <option> is comma seperated list of:
#        SKP   : for SKIPPING this entry -- overrides other options.
#        RPT   : generate a report if ANY files are found.  No report
#                is sent to the user if this flag is not set.
#        OLDxx : define an "old" file as one that is > xx days old.
#                (defaults to 7).  Note that if OLD date is > DEL date, 
#                then it's reset to the DEL date.  Also note that
#                if RPT is not set, and OLD is set, a report is sent
#                only if old (or deleted) files are found.
#        DELxx : automatically deleting files that are > xx days old 
#                (defaults to 14). If report is generated, indicate
#                files that are deleted.
#
# <address> is email comma seperated list of address(es) of responsible 
#   person(s)
#
# <directory> is directory UNDER $FtpRoot this user is responsible for.
#
# examples:
##FTPCHECK    OLD10,DEL30  [email-masked]    /incoming
#   Send report if files > 10 days old. Also, delete (and report)
#    anything > 30 days old.
#
##FTPCHECK    RPT          [email-masked],[email-masked]    /foobar
#   Send report daily, if any files exist.  Send to two email addresses.
#
##FTPCHECK    SKP,RPT     [email-masked]            /other
#   Skip this entry regardless of other options.
#
##FTPCHECK    RPT,OLD,DEL21  [email-masked]    /incoming
#   Send report every day (if any files), marking files > 7 (default) days 
#   old as "OLD" and deleting files > 21 days old (and reporting this).
#
##FTPCHECK    OLD21,DEL21  [email-masked]    /incoming
#   Delete files > 21 days old, and send report of this.  Don't send
#   a report otherwise.  Since OLD days == DEL days, this forces a
#   report to be sent if old files found, but all "old" files are also deleted.
##################################################################

--
C. Paul Ferroni          Phone: 216-646-4114 (voice)  216-646-3176 (fax)
Systems Specialist           Admin areas: UNIX, WWW, Usenet News, etc.
Allen-Bradley Company, Inc      Email: [email-masked]

---

From: Carlos Lazcano-Vega <[email-masked]>
Date: Wed, 23 Oct 1996 17:09:51 -0500 ()

Could some one point to where I can find information about what is the
passive ftp mode and what other modes are there???

Thanx

---
Carlos Lazcano-Vega                 Voice: (52-8) 358-2000 x4084
Internet Services Manager           Fax: (52-8) 328-4129
ITESM / Technological Computing     Email: [email-masked]
Av. Eugenio Garza Sada 2501 Sur     http://homepages.mty.itesm.mx/~clazcano/
Sucursal de Correos "J"
Monterrey, N.L, Mexico. CP 64849    Heroes get remembered; legends never died

            *** All my opinions are not really opinions ***

---

From: Michele Trotta <[email-masked]>
Date: Thu, 24 Oct 1996 00:58:58 +0200 (CET)

Hello there ftpadmin mates,
I've got a strange result of the limit function on our ftp server.
A lot of times I see 3 clients connected at the same time from
a.b.c.d with a limit of 2 for the class described as *.*.*.d
It often happens (I am not so sure) when I got some "-" in the
domain. Eg: a-a.b.c.d

Am I totally crazy or did some1 of you experienced something like
this?

Thanks.

                                             Michele Trotta
                                  WAN Administrator for Flashnet S.p.A.

---

From: Alain Magloire <[email-masked]>
Date: Thu, 24 Oct 1996 11:43:50 -0400 (EDT)

> passive ftp mode and what other modes are there???

RFC-959

you can retrieve it in my mirrors
http://isi.Mirror.McGill.CA/rfc959.txt

or
ftp://ftp.isi.edu/in-notes/

any rfcs depositary

--
alain
-----------------------
.signature --> /dev/null